Bug 1432667 - kernel 4.11.0-0.rc2.git0.1.fc26 oops on Allwinner SoCs
Summary: kernel 4.11.0-0.rc2.git0.1.fc26 oops on Allwinner SoCs
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 26
Hardware: arm
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Keywords:
Depends On:
Blocks: ARMTracker F26AlphaBlocker
TreeView+ depends on / blocked
 
Reported: 2017-03-15 22:13 UTC by Paul Whalen
Modified: 2019-01-09 12:54 UTC (History)
12 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-03-22 21:14:42 UTC


Attachments (Terms of Use)
banana pi boot (22.09 KB, text/plain)
2017-03-15 22:13 UTC, Paul Whalen
no flags Details

Description Paul Whalen 2017-03-15 22:13:21 UTC
Created attachment 1263478 [details]
banana pi boot

Description of problem:
kernel 4.11.0-0.rc2.git0.1.fc26 fails to boot on Allwinner SoCs. 

Version-Release number of selected component (if applicable):
4.11.0-0.rc2.git0.1.fc26


Actual results:
[    6.397155] Unable to handle kernel paging request at virtual address b6f88000
[    6.404561] pgd = ee65c380
[    6.407337] [b6f88000] *pgd=6e641003, *pmd=7a1ba003
[    6.412296] Internal error: Oops: 207 [#1] SMP ARM
[    6.417093] Modules linked in: mmc_block axp20x_regulator i2c_mv64xxx sunxi_mmc mmc_core rtc_sunxi ahci_sunxi libahci_platform ohci_platform ehci_platform
[    6.430934] CPU: 1 PID: 199 Comm: systemd-udevd Not tainted 4.11.0-0.rc2.git0.1.fc26.armv7hl+lpae #1
[    6.440051] Hardware name: Allwinner sun7i (A20) Family
[    6.445273] task: ee4cc880 task.stack: ee6f8000
[    6.449815] PC is at __list_del_entry_valid+0x38/0x88
[    6.454868] LR is at selinux_inode_free_security+0x44/0x88
[    6.460350] pc : [<c05600cc>]    lr : [<c04cae6c>]    psr: a0070013
[    6.460350] sp : ee6f9e98  ip : 000ac9d7  fp : 00000000
[    6.471811] r10: ef1ae000  r9 : c0b0c570  r8 : 00080040
[    6.477030] r7 : 00080060  r6 : ee58ef00  r5 : c9c21044  r4 : c9c21040
[    6.483550] r3 : b6f88000  r2 : b6f88000  r1 : c9c21044  r0 : c9c21044
[    6.490071] Flags: NzCv  IRQs on  FIQs on  Mode SVC_32  ISA ARM  Segment user
[    6.497197] Control: 30c5387d  Table: 6e65c380  DAC: 7bbfaffe
[    6.502937] Process systemd-udevd (pid: 199, stack limit = 0xee6f8220)
[    6.509457] Stack: (0xee6f9e98 to 0xee6fa000)
[    6.513811] 9e80:                                                       c9c21040 c04cae6c
[    6.521982] 9ea0: c104a648 c1046fd8 c9ca3ab0 c04c28d4 c9ca3ab0 ee9fc5d8 eeae1160 c03e0a0c
[    6.530153] 9ec0: c9ca3ab0 c03e147c eeae1110 c03dd2bc eeae1110 ee9fc5d8 c9ca3ab0 c03ddb5c
[    6.538323] 9ee0: 00000000 ee8f3aa0 eeae1110 00000000 00000000 ef1a8000 ef1ae000 c03d7558
[    6.546495] 9f00: ee6f9f3c 00000000 00000000 00000800 fffffff0 ee6f9f50 00000800 ffffff9c
[    6.554664] 9f20: 7fb26e98 ffffff9c beac6ef0 00000000 00000676 00000000 00000000 00000000
[    6.562834] 9f40: ee5a20d0 ee9fc5d8 ee5a20d0 ee9fc5d8 2f0bbf01 0000000c ef1a801f 00001000
[    6.571005] 9f60: 3d253b3e 00000004 ef1ae01f 00001000 0ac9d741 7fa1cbb8 beac6ef0 b6f2cc90
[    6.579176] 9f80: 00000026 c0222a44 ee6f8000 000000a0 beac6f5c c03d7698 00000000 beac6ef0
[    6.587345] 9fa0: 7fb253b8 c0222a10 7fa1cbb8 beac6ef0 7fb26e98 beac6ef0 7fb253b8 00000000
[    6.595516] 9fc0: 7fa1cbb8 beac6ef0 b6f2cc90 00000026 00000000 beac6f2c beac6f28 beac6f5c
[    6.603686] 9fe0: 7f674ee0 beac6ed4 7f64090c b6cc4494 60070010 7fb26e98 00000000 00000000
[    6.611888] [<c05600cc>] (__list_del_entry_valid) from [<c04cae6c>] (selinux_inode_free_security+0x44/0x88)
[    6.621630] [<c04cae6c>] (selinux_inode_free_security) from [<c04c28d4>] (security_inode_free+0x2c/0x38)
[    6.631107] [<c04c28d4>] (security_inode_free) from [<c03e0a0c>] (__destroy_inode+0xb0/0x1c4)
[    6.639627] [<c03e0a0c>] (__destroy_inode) from [<c03e147c>] (destroy_inode+0x28/0x5c)
[    6.647542] [<c03e147c>] (destroy_inode) from [<c03dd2bc>] (__dentry_kill+0xa0/0x1a4)
[    6.655369] [<c03dd2bc>] (__dentry_kill) from [<c03ddb5c>] (dput+0x264/0x290)
[    6.662502] [<c03ddb5c>] (dput) from [<c03d7558>] (SyS_renameat2+0x2c0/0x3b8)
[    6.669638] [<c03d7558>] (SyS_renameat2) from [<c03d7698>] (SyS_rename+0x28/0x30)
[    6.677124] [<c03d7698>] (SyS_rename) from [<c0222a10>] (__sys_trace_return+0x0/0x10)
[    6.684953] Code: e1a02003 e59f0048 ebf7c059 e7f001f2 (e5933000) 
[    6.691257] ---[ end trace 7b2ccd40d45fe919 ]---


Additional info:
Kernel 4.11.0-0.rc2.git1.1.fc27 boots as expected. Tested on Cubietruck and Banana Pi.

Comment 1 Paul Whalen 2017-03-16 01:50:15 UTC
Nominating as a blocker for Alpha, Allwinner SoC's include supported platforms (Cubietruck and Banana Pi). Criteria "All release-blocking images must boot in their supported configurations."

Comment 2 Adam Williamson 2017-03-16 01:57:15 UTC
The current f26 kernel is not that kernel. The current f26 kernel is kernel-4.11.0-0.rc1.git0.1.fc26 . Is that affected?

Comment 3 Adam Williamson 2017-03-16 02:06:28 UTC
In fact, kernel-4.11.0-0.rc2.git0.1.fc26 is listed in the Alpha RC compose request. So I guess we either drop it, or take this kernel instead.

Comment 4 Fedora Update System 2017-03-16 02:51:14 UTC
bcm283x-firmware-20170314-2.509beaa.fc26 kernel-4.11.0-0.rc2.git2.2.fc26 linux-firmware-20170313-72.git695f2d6d.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-51a9cd79a0

Comment 5 Fedora Update System 2017-03-16 02:51:31 UTC
bcm283x-firmware-20170314-2.509beaa.fc26 kernel-4.11.0-0.rc2.git2.2.fc26 linux-firmware-20170313-72.git695f2d6d.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-51a9cd79a0

Comment 6 Paul Whalen 2017-03-16 03:08:13 UTC
kernel-4.11.0-0.rc2.git2.2.fc26 boots as expected on the Banana Pi.

Comment 7 Fedora Update System 2017-03-16 16:22:28 UTC
bcm283x-firmware-20170314-2.509beaa.fc26, kernel-4.11.0-0.rc2.git2.2.fc26, linux-firmware-20170313-72.git695f2d6d.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-51a9cd79a0

Comment 8 Mike Ruckman 2017-03-16 18:09:02 UTC
Discussed in today's Go/No-Go meeting. This bug is a violation of the following criterion: "All release-blocking images must boot in their supported configurations."

Comment 9 Fedora Update System 2017-03-20 22:19:30 UTC
bcm283x-firmware-20170314-2.509beaa.fc26, kernel-4.11.0-0.rc2.git2.2.fc26, linux-firmware-20170313-72.git695f2d6d.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Adam Williamson 2017-03-22 21:14:42 UTC
pwhalen says this was good in Alpha RC2, so I think we can go ahead and close the bug.


Note You need to log in before you can comment on or make changes to this bug.